OwnCloud graphapi 0.2.x < 0.2.1 / 0.3.x < 0.3.1 Sensitive Informations Disclosure

high Web App Scanning Plugin ID 114117

Language:

Synopsis

OwnCloud graphapi 0.2.x < 0.2.1 / 0.3.x < 0.3.1 Sensitive Informations Disclosure

Description

An issue was discovered in OwnCloud graphapi plugin 0.2.x < 0.2.1 and 0.3.x < 0.3.1. The graphapi plugin relies on a third-party GetPhpInfo.php library that provides a URL. When this URL is accessed, it reveals the configuration details of the PHP environment (phpinfo). This information includes all the environment variables of the webserver. In containerized deployments, these environment variables may include sensitive data such as the ownCloud admin password, mail server credentials, and license key.

Solution

Upgrade to OwnCloud graphapi 0.2.1 or 0.3.1 or delete the file owncloud/apps/graphapi/vendor/microsoft/microsoft-graph/tests/GetPhpInfo.php

See Also

https://owncloud.com/security-advisories/disclosure-of-sensitive-credentials-and-configuration-in-containerized-deployments/

https://www.ambionics.io/blog/owncloud-cve-2023-49103-cve-2023-49105

Plugin Details

Severity: High

ID: 114117

Type: remote

Published: 12/1/2023

Updated: 1/3/2024

Scan Template: basic, full, pci, scan

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.8

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:N/A:N

CVSS Score Source: CVE-2023-49103

CVSS v3

Risk Factor: High

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

CVSS Score Source: CVE-2023-49103

Vulnerability Information

CPE: cpe:2.3:a:owncloud:owncloud:*:*:*:*:*:*:*:*

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 9/1/2023

Vulnerability Publication Date: 11/21/2023

CISA Known Exploited Vulnerability Due Dates: 12/21/2023

Reference Information

CVE: CVE-2023-49103